{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.desktop.office;

in {

  options.features.desktop.office.enable =
    mkEnableOption "enable office features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      nextcloud-client
      libreoffice
      neomutt
      tutanota-desktop
      okular
      zathura
    ];
  };
}
