{ config, ... }: {

  services.minio = {
    enable = true;
    region = "eu-central-1";
    consoleAddress = ":9001";
    browser = true;
    rootCredentialsFile = config.age.secrets.minio-root-cred.path;
    dataDir = [ "/var/backup/s3" ];
  };
}
